For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • POSTAdds a task bundle to a project.
      • GETLists task bundles.
      • POSTCreates a task bundle.
      • POSTCreates a task bundle from a project.
      • POSTCreates a task bundle from a task list.
      • GETLists available task bundle icons.
      • GETGets a task bundle by id.
      • PUTUpdates a task bundle.
      • DELDeletes a task bundle.
      • POSTCreates a copy of an existing task bundle.
      • GETLists task list templates for a task bundle.
      • POSTCreates a task list template for a bundle.
      • GETGets a task list template.
      • PUTUpdates a task list template.
      • DELDeletes a task list template.
      • POSTAdds task templates to a task list template.
      • POSTRemoves task templates from a task list template.
      • GETLists task templates inside a task list template.
      • GETGets a task template inside a task list template.
      • POSTUpdates the order of a task template inside a task list template.
      • POSTUpdates the order of task templates in a task list template.
      • GETLists checklist item templates for a task template.
      • POSTCreates a checklist item template.
      • GETGets a checklist item template.
      • PUTUpdates a checklist item template.
      • DELDeletes a checklist item template.
      • POSTDeletes recurrence information from a task template.
      • GETGets recurrency details for a task template.
      • POSTAdds or updates a recurrence rule for a task template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Bundles

Gets recurrency details for a task template.

GET
https://api.awork.com/api/v1/tasktemplates/:taskTemplateId/recurrency
GET
/api/v1/tasktemplates/:taskTemplateId/recurrency
$curl https://api.awork.com/api/v1/tasktemplates/taskTemplateId/recurrency \
> -H "Authorization: Bearer <token>"
1{
2 "recurrencyRule": "\"0 0 1 * * ?\"",
3 "recurrencyInterval": 1,
4 "relativeDueOn": 3600,
5 "recurrencyStartOn": "2021-03-12T11:00:00Z",
6 "recurrencyTimezone": "Europe/Berlin"
7}
<Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Adds or updates a recurrence rule for a task template.

Next
Built with
Required Permissions
The user must be an admin or have task-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskTemplateIdstringRequiredformat: "uuid"
The id of the task template.

Response

OK
recurrencyRulestring>=1 character

The recurrence rule as cron expression. We support all expressions which cronos supports (https://github.com/HangfireIO/Cronos). The number of occurrences is limited to 24 a day.

recurrencyIntervalinteger or null
The interval of the executed expression. If the value is 3, only the third time of the expression the recurrence is actually executed.
relativeDueOnlong or null
The relative due date and time of the task created from this recurrence rule, in seconds, from the moment of creating the task by a recurrence rule.
recurrencyStartOnstring or nullformat: "date-time"
DateTime when recurring task creation will start, considering the set Recurrency Rule and Recurrency Interval.
recurrencyTimezonestring or null
The timezone of the Recurrency Rule. If not set, will use the requesting user's timezone.

Errors

404
Not Found Error